/*  This file is a part of Puzzles, a MIDLET for playing puzzles.
    Copyright (C) 2004, Kostas Giannakakis

    Puzzles is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Puzzles is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Puzzles; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package games.Solo;

import javax.microedition.lcdui.*;

public class HelpSolo {

    private static final String info =
	"Objective of the game is to remove all the pegs off the board, " +
	"except of the last one. A peg can move to a free position, two " +
	"positions at the left, right, up or down, jumping over another peg. " +
	"The peg that the moving peg has jumped over, is removed. " +
	"Use the arrow keys (6, 2, 4, 8) to move the red box. Pless the '5' key " +
	"to select a peg that is allowed to move. Then press one of the arrow " +
	"keys to make the move or the '5' key to un-select the peg.";

    /** the previous screen to go back to */
    private Displayable previous;

    /**
     * Do not allow anyone to create this class
     */
    private HelpSolo() {};

    public static void showHelp(Display display) {

	Alert alert = new Alert("Help");
	alert.setTimeout(Alert.FOREVER);

	alert.setString(info);

	display.setCurrent(alert);
    }

}
